Summary: Library for connection to iTunes music shares
Name: libopendaap
Version: 0.4.0
Release: 1
License: GPL
Group: Applications/Internet
URL: http://crazney.net/programs/itunes/libopendaap.html
Source: http://crazney.net/programs/itunes/files/libopendaap-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc

%description
Libopendaap is a library written in C which enables applications to
discover, and connect to, iTunes music shares.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="gcc -maix64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp .libs/libopendaap.so.0 .
make distclean

# now build the 32-bit version
export CC="gcc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libopendaap.a ./libopendaap.so.0


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.a

%files devel
%defattr(-,root,system,0755)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*


%changelog
* Tue Mar 04 2008 Michael Perzl <michael@perzl.org> - 0.4.0-1
- first version for AIX V5.1 and higher
